export const AxisLeft = ({
  width,
  yScale,
  tickOffset = 8,
}) =>
  yScale.ticks().map((tickValue) => (
    <g
      className="tick"
      transform={`translate(0,${yScale(
        tickValue
      )})`}
    >
      <line x2={width} />
      <text
        key={tickValue}
        style={{ textAnchor: 'end' }}
        dy=".32em"
        x={-tickOffset}
      >
        {tickValue}
      </text>
    </g>
  ));
