export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  tooltipFormat,
  height,
}) => (
  <g className="marks">
    {data.map((d) => (
      <rect
        className={'mark'}
        x={xScale(d.x0)}
        y={yScale(yValue(d))}
        width={xScale(d.x1) - xScale(d.x0)}
        height={height - yScale(yValue(d))}
      >
        <title>
          {yValue(d)} in {tooltipFormat(d.x1)}
        </title>
      </rect>
    ))}
  </g>
);
